apiVersion: v1
kind: PersistentVolume
metadata:
  name: {{ .Values.persistentVolume.name }}
spec:
  storageClassName: {{ .Values.storageClass.name }}
  capacity:
    storage: {{ .Values.persistentVolumeClaim.resources.requests.storage }}
  accessModes:
  {{ toYaml .Values.persistentVolumeClaim.accessModes }}
  hostPath:
    path: {{ .Values.persistentVolume.hostPath.path }}